# osg::DeleteHandler Class Reference

Class for override the default delete behavior so that users can implment their own object deletion schemes. More...

List of all members.

## Public Member Functions

virtual | ~DeleteHandler ()
virtual void | flush ()
| flush any cache of objects that need to be deleted by doing an actual delete.
void | doDelete (const Referenced *object)
virtual void | requestDelete (const Referenced *object)
| Request the deletion of an object.

## Detailed Description

Class for override the default delete behavior so that users can implment their own object deletion schemes.

This might be done to help implement protection of multiple threads from deleting objects unintentionally. Note, the DeleteHandler cannot itself be reference counted, otherwise it would be responsible for deleting itself! An static auto_ptr<> is used internally in Referenced.cpp to manage the DeleteHandler's memory.

## Constructor & Destructor Documentation

virtual osg::DeleteHandler::~DeleteHandler | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void osg::DeleteHandler::doDelete | ( | const Referenced * | object | ) | `[inline]`

virtual void osg::DeleteHandler::flush | ( |  | ) | `[inline, virtual]`

| flush any cache of objects that need to be deleted by doing an actual delete.

virtual void osg::DeleteHandler::requestDelete | ( | const Referenced * | object | ) | `[inline, virtual]`

| Request the deletion of an object. Depending on users implementation of DeleteHandler, the delete of the object may occur straight away or be delayed until doDelete is called. The default implementation does a delete straight away.

The documentation for this class was generated from the following file:

- Referenced